com.amazonaws.services.cloudfront.model

## Class TrustedSigners

- java.lang.Object
- - com.amazonaws.services.cloudfront.model.TrustedSigners

All Implemented Interfaces:
  Serializable, Cloneable

    public class TrustedSigners
    extends Object
    implements Serializable, Cloneable

A complex type that specifies the AWS accounts, if any, that you want to allow to create signed URLs for private content.

If you want to require signed URLs in requests for objects in the target origin that match the `PathPattern` for this cache behavior, specify `true` for `Enabled`, and specify the applicable values for `Quantity` and `Items`. For more information, see Serving Private Content through CloudFront in the Amazon Amazon CloudFront Developer Guide.

If you don't want to require signed URLs in requests for objects that match `PathPattern`, specify `false` for `Enabled` and `0` for `Quantity`. Omit `Items`.

To add, change, or remove one or more trusted signers, change `Enabled` to `true` (if it's currently `false`), change `Quantity` as applicable, and specify all of the trusted signers that you want to include in the updated distribution.

For more information about updating the distribution configuration, see DistributionConfig .

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`TrustedSigners()` Default constructor for TrustedSigners object.
`TrustedSigners(List<String> items)` Constructs a new TrustedSigners object.

### Method Summary

All Methods Instance Methods Concrete Methods
`TrustedSigners` `clone()`
`boolean` `equals(Object obj)`
`Boolean` `getEnabled()` Specifies whether you want to require viewers to use signed URLs to access the files specified by `PathPattern` and `TargetOriginId`.
`List<String>` `getItems()` Optional: A complex type that contains trusted signers for this cache behavior.
`Integer` `getQuantity()` The number of trusted signers for this cache behavior.
`int` `hashCode()`
`Boolean` `isEnabled()` Specifies whether you want to require viewers to use signed URLs to access the files specified by `PathPattern` and `TargetOriginId`.
`void` `setEnabled(Boolean enabled)` Specifies whether you want to require viewers to use signed URLs to access the files specified by `PathPattern` and `TargetOriginId`.
`void` `setItems(Collection<String> items)` Optional: A complex type that contains trusted signers for this cache behavior.
`void` `setQuantity(Integer quantity)` The number of trusted signers for this cache behavior.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`TrustedSigners` `withEnabled(Boolean enabled)` Specifies whether you want to require viewers to use signed URLs to access the files specified by `PathPattern` and `TargetOriginId`.
`TrustedSigners` `withItems(Collection<String> items)` Optional: A complex type that contains trusted signers for this cache behavior.
`TrustedSigners` `withItems(String... items)` Optional: A complex type that contains trusted signers for this cache behavior.
`TrustedSigners` `withQuantity(Integer quantity)` The number of trusted signers for this cache behavior.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TrustedSigners

    public TrustedSigners()

Default constructor for TrustedSigners object. Callers should use the setter or fluent setter (with...) methods to initialize the object after creating it.

#### TrustedSigners

    public TrustedSigners(List<String> items)

Constructs a new TrustedSigners object. Callers should use the setter or fluent setter (with...) methods to initialize any additional object members.

Parameters:
  `items` - Optional: A complex type that contains trusted signers for this cache behavior. If `Quantity` is `0`, you can omit `Items`.

### Method Detail

#### setEnabled

    public void setEnabled(Boolean enabled)

Specifies whether you want to require viewers to use signed URLs to access the files specified by `PathPattern` and `TargetOriginId`.

Parameters:
  `enabled` - Specifies whether you want to require viewers to use signed URLs to access the files specified by `PathPattern` and `TargetOriginId`.

#### getEnabled

    public Boolean getEnabled()

Specifies whether you want to require viewers to use signed URLs to access the files specified by `PathPattern` and `TargetOriginId`.

Returns:
  Specifies whether you want to require viewers to use signed URLs to access the files specified by `PathPattern` and `TargetOriginId`.

#### withEnabled

    public TrustedSigners withEnabled(Boolean enabled)

Specifies whether you want to require viewers to use signed URLs to access the files specified by `PathPattern` and `TargetOriginId`.

Parameters:
  `enabled` - Specifies whether you want to require viewers to use signed URLs to access the files specified by `PathPattern` and `TargetOriginId`.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### isEnabled

    public Boolean isEnabled()

Specifies whether you want to require viewers to use signed URLs to access the files specified by `PathPattern` and `TargetOriginId`.

Returns:
  Specifies whether you want to require viewers to use signed URLs to access the files specified by `PathPattern` and `TargetOriginId`.

#### setQuantity

    public void setQuantity(Integer quantity)

The number of trusted signers for this cache behavior.

Parameters:
  `quantity` - The number of trusted signers for this cache behavior.

#### getQuantity

    public Integer getQuantity()

The number of trusted signers for this cache behavior.

Returns:
  The number of trusted signers for this cache behavior.

#### withQuantity

    public TrustedSigners withQuantity(Integer quantity)

The number of trusted signers for this cache behavior.

Parameters:
  `quantity` - The number of trusted signers for this cache behavior.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### getItems

    public List<String> getItems()

Optional: A complex type that contains trusted signers for this cache behavior. If `Quantity` is `0`, you can omit `Items`.

Returns:
  Optional: A complex type that contains trusted signers for this cache behavior. If `Quantity` is `0`, you can omit `Items`.

#### setItems

    public void setItems(Collection<String> items)

Optional: A complex type that contains trusted signers for this cache behavior. If `Quantity` is `0`, you can omit `Items`.

Parameters:
  `items` - Optional: A complex type that contains trusted signers for this cache behavior. If `Quantity` is `0`, you can omit `Items`.

#### withItems

    public TrustedSigners withItems(String... items)

Optional: A complex type that contains trusted signers for this cache behavior. If `Quantity` is `0`, you can omit `Items`.

NOTE: This method appends the values to the existing list (if any). Use `setItems(java.util.Collection)` or `withItems(java.util.Collection)` if you want to override the existing values.

Parameters:
  `items` - Optional: A complex type that contains trusted signers for this cache behavior. If `Quantity` is `0`, you can omit `Items`.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### withItems

    public TrustedSigners withItems(Collection<String> items)

Optional: A complex type that contains trusted signers for this cache behavior. If `Quantity` is `0`, you can omit `Items`.

Parameters:
  `items` - Optional: A complex type that contains trusted signers for this cache behavior. If `Quantity` is `0`, you can omit `Items`.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public TrustedSigners clone()

Overrides:
  `clone` in class `Object`